Loading...
Searching...
No Matches
mbedtls_ecp_point Struct Reference

The ECP point structure, in Jacobian coordinates. More...

`#include <ecp.h>`

Collaboration diagram for mbedtls_ecp_point:
[legend]

## Data Fields

mbedtls_mpi | private_X
mbedtls_mpi | private_Y
mbedtls_mpi | private_Z

## Detailed Description

The ECP point structure, in Jacobian coordinates.

Note
  All functions expect and return points satisfying the following condition: `Z == 0` or `Z == 1`. Other values of `Z` are used only by internal functions. The point is zero, or "at infinity", if `Z == 0`. Otherwise, `X` and `Y` are its standard (affine) coordinates.

Definition at line 158 of file ecp.h.

## Field Documentation

## private_X

mbedtls_mpi mbedtls_ecp_point::private_X

The X coordinate of the ECP point.

Definition at line 159 of file ecp.h.

## private_Y

mbedtls_mpi mbedtls_ecp_point::private_Y

The Y coordinate of the ECP point.

Definition at line 160 of file ecp.h.

## private_Z

mbedtls_mpi mbedtls_ecp_point::private_Z

The Z coordinate of the ECP point.

Definition at line 161 of file ecp.h.

The documentation for this struct was generated from the following file:

- ecp.h